Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.config.entities
Class ResultTypeConfig

    java.lang.Object
      com.opensymphony.xwork2.util.location.Located
          com.opensymphony.xwork2.config.entities.ResultTypeConfig

All Implemented Interfaces:
  Locatable, Serializable

    public class ResultTypeConfig

extends Located
implements Serializable

Configuration class for result types.

In the xml configuration file this is defined as the `result-type` tag.

Author:
  Mike, Rainer Hermanns, Neo
See Also:
  Serialized Form

Field Summary
`private String` | `clazz`
`private String` | `defaultResultParam`
`private String` | `name`
`private Map` | `params`

Fields inherited from class com.opensymphony.xwork2.util.location.Located
`location`

Constructor Summary
`ResultTypeConfig()`
`ResultTypeConfig(String name, String clazz, String defaultResultParam)`

Method Summary
`void` | `addParam(String key, String value)`
`boolean` | `equals(Object o)`
`String` | `getClazz()`
`String` | `getDefaultResultParam()`
`String` | `getName()`
`Map` | `getParams()`
`int` | `hashCode()`
`void` | `setClazz(String clazz)`
`void` | `setDefaultResultParam(String defaultResultParam)`
`void` | `setName(String name)`
`void` | `setParams(Map params)`

Methods inherited from class com.opensymphony.xwork2.util.location.Located
`getLocation, setLocation`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### clazz

    private String clazz

### name

    private String name

### defaultResultParam

    private String defaultResultParam

### params

    private Map params

Constructor Detail

### ResultTypeConfig

    public ResultTypeConfig()

### ResultTypeConfig

    public ResultTypeConfig(String name,
                            String clazz,
                            String defaultResultParam)

Method Detail

### setDefaultResultParam

    public void setDefaultResultParam(String defaultResultParam)

### getDefaultResultParam

    public String getDefaultResultParam()

### setClazz

    public void setClazz(String clazz)

### getClazz

    public String getClazz()

### setName

    public void setName(String name)

### getName

    public String getName()

### addParam

    public void addParam(String key,
                         String value)

### getParams

    public Map getParams()

### setParams

    public void setParams(Map params)

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 OpenSymphony. All Rights Reserved.